package org.kne.opencl64;
import club.doki7.opencl.CLConstants;
public enum OpenCLMemoryRWFlag {
	READ_ONLY(CLConstants.MEM_READ_ONLY),
	WRITE_ONLY(CLConstants.MEM_WRITE_ONLY),
	READ_WRITE(CLConstants.MEM_READ_WRITE);
	public final long flagValue;
	private OpenCLMemoryRWFlag(long flag) {
		this.flagValue=flag;
	}
}
